package cn.dankal.code.util;

import cn.dankal.code.util.common.CodeUtil;
import cn.dankal.code.util.entity.ProjectInfo;

/**
 * 代码生成器
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/30
 */
public class CodeGenerator {


    public static void main(String[] args) {

        // 项目参数: 必须全部非空
        // 项目名称
        final String projectName = "tudgo-global-permissoon";

        // 项目基础包名  etc. com.tudgo.global.permission
        final String basePackageName = "com.tudgo.global.permission";

        // 项目描述   etc.土地工权限管理系统
        final String projectDescription = "土地工权限管理系统";

        // 模板项目路径 : C:\dev\test  目前只支持一套模板[dankal-microservice-code-template-v1]
        final String templateProjectPath = "C:/dev/test/dankal-microservice-code-template-v1";

        // 项目生成路径  C:\dev\test
        final String projectCreatePath = "C:/dev/test";

        // 如果 项目目录已经存在( projectCreatePath/projectName ) 是否覆盖
        final boolean isOverride = false;

        //构建项目信息对象
        ProjectInfo projectInfo = CodeUtil.builderProjectInfo(projectName, basePackageName, projectDescription, templateProjectPath, projectCreatePath, isOverride);

        try {
            // 执行模板代生成
            CodeUtil.doGenerate(projectInfo);
            System.out.println("代码生成成功");
        } catch (Exception exception) {
            System.out.printf("代码生成失败!!! errorMessage: %s", exception.getMessage());
            System.exit(0);
        }
    }


}
