package cn.dankal.code.util.entity;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 项目信息实体
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/29
 */
@Data
@Accessors(chain = true)
public class ProjectInfo implements Serializable {

    private static final long serialVersionUID = -6958602838534331817L;

    /**
     * 项目名称
     * etc. tudgo-global-permission
     */
    private String projectName;


    /**
     * 基本包名 (标准的Java包名)
     * etc. com.tudgo.global.permission
     */
    private String basePackageName;


    /**
     * 项目描述
     * maven: <description></description>
     */
    private String projectDescription;


    /**
     * 项目生成路径
     */
    private String projectCreatePath;


    /**
     * 模板代码路径
     */
    private String templateProjectPath;

    /**
     * 项目路径(系统自动赋值)
     */
    private String projectPath;


}
